Subscribe

Config Advisor 5 on MacOS - traceback errors

config advisor 5 works great on linux but on mac it blows up with a traceback

Traceback (most recent call last):
File "site-packages/django/core/handlers/base.py", line 119, in get_response
File "site-packages/django/core/urlresolvers.py", line 388, in resolve
django.core.urlresolvers.Resolver404: {'path': 'favicon.ico', 'tried': [[<RegexURLResolver <module 'onecollect_client.urls' (<pyimod03_import
ers.FrozenImporter object at 0x103d5ea20>)> (None:None) ^oc/>], [<RegexU

(skip a massive amount of search paths)

Traceback (most recent call last): [131/1919]
File "site-packages/django/core/urlresolvers.py", line 106, in get_callable
File "importlib/__init__.py", line 109, in import_module
File "<frozen importlib._bootstrap>", line 2254, in _gcd_import
File "<frozen importlib._bootstrap>", line 2237, in _find_and_load
File "<frozen importlib._bootstrap>", line 2224, in _find_and_load_unlocked
ImportError: No module named 'django.views.defaults'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "site-packages/django/core/handlers/base.py", line 86, in get_exception_response
File "site-packages/django/core/urlresolvers.py", line 421, in resolve_error_handler
File "/Users/chamarths/configadvisor/lib/python3.4/functools.py", line 448, in wrapper
File "site-packages/django/core/urlresolvers.py", line 115, in get_callable
django.core.exceptions.ViewDoesNotExist: Could not import 'django.views.defaults.page_not_found'. Parent module django.views.defaults does no
t exist.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "wsgiref/handlers.py", line 137, in run
File "site-packages/django/core/handlers/wsgi.py", line 189, in __call__
File "site-packages/django/core/handlers/base.py", line 175, in get_response
File "site-packages/django/core/handlers/base.py", line 90, in get_exception_response
File "site-packages/django/core/handlers/base.py", line 256, in handle_uncaught_exception
File "logging/__init__.py", line 1308, in error
File "logging/__init__.py", line 1414, in _log
File "logging/__init__.py", line 1424, in handle
File "logging/__init__.py", line 1486, in callHandlers
File "logging/__init__.py", line 853, in handle
File "site-packages/django/utils/log.py", line 129, in emit
File "site-packages/django/utils/log.py", line 132, in send_mail
File "site-packages/django/utils/log.py", line 135, in connection
File "site-packages/django/core/mail/__init__.py", line 37, in get_connection
File "site-packages/django/utils/module_loading.py", line 26, in import_string
File "importlib/__init__.py", line 109, in import_module
File "<frozen importlib._bootstrap>", line 2254, in _gcd_import
File "<frozen importlib._bootstrap>", line 2237, in _find_and_load
File "<frozen importlib._bootstrap>", line 2212, in _find_and_load_unlocked
File "<frozen importlib._bootstrap>", line 321, in _call_with_frames_removed
File "<frozen importlib._bootstrap>", line 2254, in _gcd_import

 

you get the idea.  macos version is sierra which does have it's own python 2.7 install. I do have homebrew python and python3 installed also. so /usr/bin/python is 2.7 supplied with macos and is presumably called by the ConfigAdvisor binary.  /usr/local/bin/python2 is the homebrew interpreter.  Anybody working with ConfigAdvisor 5 on a mac and have it working.

 

this would probably make sense as a docker image...